API referenceDiscord
GET /discord/guilds/{guildId}/members
Members, cursor-paginated (pass pagination.nextCursor as after). Needs the Server Members Intent on the bot app
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
guildId*stringDiscord server (guild) id
accountId*stringDiscord account id bound to this server (or the channel's server)
limit?integerMaximum items (default 100, max 1000)
Range
1 <= value <= 1000Default
100after?stringnextCursor of the previous page
{data, pagination}
application/json- response
data?array<>pagination?curl -X GET 'https://example.com/api/v1/discord/guilds/string/members?accountId=string'Example Response
{ "data": [ { "user": { "id": "string", "username": "string", "discriminator": "string", "avatar": "string", "global_name": "string" }, "nick": "string", "roles": [ "string" ], "joined_at": "string", "premium_since": "string" } ], "pagination": { "nextCursor": "string", "hasMore": true }}